/backup-configs (POST)
POST
/backup-configs
const url = 'https://example.com/api/v1/backup-configs';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"serverId":"example","databaseId":"example","schedule":"example","keepNewest":1,"retentionDays":1,"dest":{"provider":"example","accessKeyId":"example","secretAccessKey":"example","region":"example","endpoint":"example","bucket":"example"},"prefix":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/backup-configs \ --header 'Content-Type: application/json' \ --data '{ "serverId": "example", "databaseId": "example", "schedule": "example", "keepNewest": 1, "retentionDays": 1, "dest": { "provider": "example", "accessKeyId": "example", "secretAccessKey": "example", "region": "example", "endpoint": "example", "bucket": "example" }, "prefix": "example" }'Request Body required
Section titled “Request Body required ” Media type application/json
object
serverId
required
string
databaseId
required
string
schedule
required
string
keepNewest
integer
retentionDays
integer
dest
required
object
provider
required
string
accessKeyId
required
string
secretAccessKey
required
string
region
string
endpoint
string
bucket
required
string
prefix
string
Example generated
{ "serverId": "example", "databaseId": "example", "schedule": "example", "keepNewest": 1, "retentionDays": 1, "dest": { "provider": "example", "accessKeyId": "example", "secretAccessKey": "example", "region": "example", "endpoint": "example", "bucket": "example" }, "prefix": "example"}Responses
Section titled “ Responses ”Default Response
Media type application/json
object
id
required
string
serverId
required
string
type
required
string
schedule
required
string
walArchive
required
boolean
keepNewest
required
integer
retentionDays
required
integer
enabled
required
boolean
lastRun
required
createdAt
required
string format: date-time
Example generated
{ "id": "example", "serverId": "example", "databaseId": "example", "type": "example", "schedule": "example", "walArchive": true, "walSchedule": "example", "keepNewest": 1, "retentionDays": 1, "enabled": true, "lastWalAt": "2026-04-15T12:00:00Z", "nextRunAt": "2026-04-15T12:00:00Z", "lastRun": { "status": "example", "sizeBytes": 1, "finishedAt": "2026-04-15T12:00:00Z" }, "createdAt": "2026-04-15T12:00:00Z"}Default Response
Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{ "type": "example", "title": "example", "status": 1, "code": "example", "detail": "example", "instance": "example", "errors": [ { "path": "example", "message": "example" } ]}